{% if attachments_count + messageAttachments|length  == 0 %}
  <div class="pt-2 font-italic text-center">{{ 'operatori.messaggi.no_attachments' | trans }}</div>
{% else %}
  <div id="collapse-attachments" class="collapse-div collapse-left-icon" role="tablist">
    <div class="collapse-header" id="heading1-lft">
      <button data-toggle="collapse" data-target="#collapse1-lft" aria-expanded="true" aria-controls="collapse1-lft">
        {{ 'operatori.allegati_modulo'|trans }}
      </button>
    </div>
    <div id="collapse1-lft" class="collapse show" role="tabpanel" aria-labelledby="heading1-lft">
      <div class="collapse-body">
        <p class="pt-2 font-italic">{{ 'pratica.dettaglio.lista_allegati.descrizione_modulo'|trans }}</p>

        {% if isModuleUpdating %}
          <div class="alert alert-info my-3">
            {{ 'pratica.dettaglio.alert_regenerating_registered_pdf' | trans }}
          </div>
        {% endif %}

        {# Muduli compiliati #}
        {% if pratica.moduliCompilati|length > 0 %}
          <div class="it-list-wrapper mt-4">
            {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'operatori.scarica'}) }}
            <ul class="it-list">
              {% for modulo in pratica.moduliCompilati %}
                {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': modulo, 'application': pratica}) }}
              {% endfor %}
            </ul>
          </div>
        {% endif %}

        {# Allegati #}
        {% if module_files|length > 0 %}
          {% for panel, fields in module_files %}
            <div class="it-list-wrapper mt-4">
              <div id="overlay">
                <div tabindex="0">
                  <button type="button" aria-label="Close" class="btn btn-icon">
                    <svg class="icon icon-white">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close-big"></use>
                    </svg>
                  </button>
                </div>
              </div>
              {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': panel}) }}
              {% for field, files in fields %}
                <strong class="field primary-color d-block">{{ field }}</strong>
                <ul class="it-list">
                  {% for allegato in files %}
                    {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': allegato, 'application': pratica}) }}
                  {% endfor %}
                </ul>
              {% endfor %}
            </div>
          {% endfor %}
        {% endif %}
      </div>
    </div>

    {# Richieste integrazioni #}
    {% if pratica.richiesteIntegrazione|length > 0 %}
      <div class="collapse-header" id="heading-integration-request">
        <button data-toggle="collapse" data-target="#collapse-integration-request" aria-expanded="false"
                aria-controls="collapse-integration-request">
          {{ 'operatori.richieste_integrazioni'|trans }}
        </button>
      </div>
      <div id="collapse-integration-request" class="collapse" role="tabpanel"
           aria-labelledby="heading-integration-request">
        <div class="collapse-body">
          <p
            class="pt-2 font-italic">{{ 'pratica.dettaglio.lista_allegati.descrizione_richieste_integrazioni'|trans }}</p>
          {% if pratica.richiesteIntegrazione|length > 0 %}
            <div class="it-list-wrapper mt-4">
              {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'operatori.scarica'}) }}
              <ul class="it-list">
                {% for file in pratica.richiesteIntegrazione %}
                  {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': file, 'application': pratica}) }}
                {% endfor %}
              </ul>
            </div>
          {% endif %}
        </div>
      </div>
    {% endif %}

    {# Risposte integrazioni #}
    {% if pratica.integrationAnswers|length > 0 %}
      <div class="collapse-header" id="heading-integration-answer">
        <button data-toggle="collapse" data-target="#collapse-integration-answer" aria-expanded="false"
                aria-controls="collapse-integration-answer">
          {{ 'operatori.risposte_integrazioni'|trans }}
        </button>
      </div>
      <div id="collapse-integration-answer" class="collapse" role="tabpanel"
           aria-labelledby="heading-integration-answer">
        <div class="collapse-body">
          <p
            class="pt-2 font-italic">{{ 'pratica.dettaglio.lista_allegati.descrizione_risposte_integrazioni'|trans }}</p>
          {% if pratica.integrationAnswers|length > 0 %}
            <div class="it-list-wrapper mt-4">
              {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'operatori.scarica'}) }}
              <ul class="it-list">
                {% for file in pratica.integrationAnswers %}
                  {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': file, 'application': pratica}) }}
                {% endfor %}
              </ul>
            </div>
          {% endif %}
        </div>
      </div>
    {% endif %}

    {# Allegati ai messaggi #}
    {% if messageAttachments|length > 0 %}
      <div class="collapse-header" id="heading3-lft">
        <button data-toggle="collapse" data-target="#collapse3-lft" aria-expanded="false" aria-controls="collapse3-lft">
          {{ 'operatori.allegati_messaggi'|trans }}
        </button>
      </div>
      <div id="collapse3-lft" class="collapse" role="tabpanel" aria-labelledby="heading3-lft">
        <div class="collapse-body">
          <p class="pt-2 font-italic">{{ 'pratica.dettaglio.lista_allegati.descrizione_messaggi'|trans }}</p>
          {% if messageAttachments|length > 0 %}
            {% for allegato in messageAttachments %}
              <div class="it-list-wrapper mt-4">
                {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': allegato.messages[0].author.fullname}) }}
                <ul class="it-list">
                  {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': allegato, 'application': pratica}) }}
                </ul>
              </div>
            {% endfor %}
          {% endif %}
        </div>
      </div>
    {% endif %}

    {# Risposta operatore #}
    {% if pratica.statusName == 'STATUS_COMPLETE' or pratica.statusName == 'STATUS_CANCELLED' %}
      {% if pratica.rispostaOperatore %}
        <div class="collapse-header" id="heading3-lft">
          <button data-toggle="collapse" data-target="#collapse4-lft" aria-expanded="false"
                  aria-controls="collapse4-lft">
            {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'operatori.scarica_risposta_firmata'}) }}
          </button>
        </div>
        <div id="collapse4-lft" class="collapse" role="tabpanel" aria-labelledby="heading3-lft">
          <div class="collapse-body">
            <p class="pt-2 font-italic">{{ 'pratica.dettaglio.lista_allegati.descrizione_risposta'|trans }}</p>

            {% if pratica.rispostaOperatore %}
              <div class="it-list-wrapper mt-4">
                {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'operatori.scarica_risposta_firmata'}) }}
                <ul class="it-list">
                  {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': pratica.rispostaOperatore, 'application': pratica}) }}
                </ul>
              </div>
            {% endif %}

            {% if pratica.allegatiOperatore|length > 0 %}
              <div class="it-list-wrapper mt-4">
                {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'pratica.reply_attachments' | trans }) }}
                <ul class="it-list">
                  {% for allegato in pratica.allegatiOperatore %}
                    {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': allegato, 'application': pratica}) }}
                  {% endfor %}
                </ul>
              </div>
            {% endif %}

          </div>
        </div>
      {% endif %}
    {% endif %}


    {# Ritiro #}
    {% if pratica.statusName == 'STATUS_WITHDRAW' %}
      <div class="collapse-header" id="heading3-lft">
        <button data-toggle="collapse" data-target="#collapse5-lft" aria-expanded="false" aria-controls="collapse5-lft">
          {{ 'operatori.scarica_ritiro'|trans }}
        </button>
      </div>
      <div id="collapse5-lft" class="collapse" role="tabpanel" aria-labelledby="heading3-lft">
        <div class="collapse-body">
          <p class="pt-2 font-italic">{{ 'pratica.dettaglio.lista_allegati.descrizione_ritiro'|trans }}</p>
          {% if pratica.withdrawAttachment %}
            <div class="it-list-wrapper mt-4">
              {{ include('Allegato/parts/_header_attachments.html.twig', {'section_title': 'operatori.scarica_ritiro'}) }}
              <ul class="it-list">
                {{ include('Allegato/parts/_line_attachment.html.twig', {'attachment': pratica.withdrawAttachment, 'application': pratica}) }}
              </ul>
            </div>
          {% endif %}
        </div>
      </div>
    {% endif %}

  </div>
{% endif %}
